# $Revision: 1.9 $, $Date: 2003/05/26 16:25:08 $
Summary:	A Linux clone of the QuickPict software that comes with the QuickCam
Summary(pl):	Linuksowy klon oprogramowania QuickPict przychodzcego z QuickCam
Name:		gqcam
Version:	0.9
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://cse.unl.edu/~cluening/gqcam/download/%{name}-%{version}.tar.gz
# Source0-md5:	6e9ab1d86d96776bd5436b0e42a9e6b7
URL:		http://cse.unl.edu/~cluening/gqcam/
BuildRequires:	gtk+-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
Gqcam allows you to use web cams with Linux.

Features:
  - Brightness Control
  - White Balance Control
  - Contrast Control
  - 3 Size Settings
  - 2 Depth Settings
  - Freeze Picture
  - Snap Picture (saves in png, ppm and jpeg format)
  - Command-line interface (good for webcam use)
  - Snapping on a timer
  - Support for the greyscale and color Quickcam, as well as CPiA based
    cameras and most any other driver that supports the read() command

The cameras the author have gotten gqcam to work with or have had
other people tell him it works with are:
  - Greyscale Quickcam
  - Color Quickcam

Anything listed below this line I have not tested and know very little
about:
  - Ezonics EZcam
  - Creative Web-Cam II
  - Philips USB PCVC675K
  - Webcam III
  - TerraCAM USB
  - Plustek OptiCam 300U

If you have gotten it work with a camera not listed here, feel free to
let him know at <cluenin1@bigred.unl.edu>

%description -l pl
Gqcam pozwala na uywanie kamer internetowych pod Linuksem.

Moliwoci: kontrola jasnoci, kontrastu i balansu bieli, 3 ustawienia
rozmiaru, 2 ustawienia gbi, zamraanie obrazu, zrzucanie obrazu (do
formatu PNG, PPM lub JPEG) - take sterowane timerem, interfejs z linii
polece, obsuga czarno-biaych i kolorowych kamer QuickCam, a take
kamer opartych na CPiA oraz wikszoci innych obsugujcych polecenie
read().

Kamery o ktrych wiadomo, e dziaaj, to: Greyscale Quickcam i Color
Quickcam; nie byy testowane: Ezonics EZcam, Creative Web-Cam II,
Philips USB PCVC675K, Webcam III, TerraCAM USB, Plustek OptiCam 300U.

%prep
%setup -q

%build
%{__make} CC="%{__cc} %{rpmcflags}" LD="%{__cc} %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install gqcam $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES INSTALL README README.threads
%attr(755,root,root) %{_bindir}/gqcam

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gqcam.spec,v $
Revision 1.9  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:48:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.6  2002/11/27 20:15:44  juandon
- new %%doc

Revision 1.5  2002/04/25 16:29:16  arturs
fixed a small typo

Revision 1.4  2002/02/25 12:24:39  qboosh
- pl translation, release 2

Revision 1.3  2002/02/23 05:56:15  kloczek
- relady to STB (NOTE: it will be good add desktop and icon for gqcam).

Revision 1.2  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/22 17:37:39  klakier
- compiled and tested (works, with minor problems)
- based on mdk spec
